curl --request GET \
--url https://apimonaco.xyz/api/v1/buildercodes/rules/resolve \
--header 'X-Monaco-Signature: <api-key>'import requests
url = "https://apimonaco.xyz/api/v1/buildercodes/rules/resolve"
headers = {"X-Monaco-Signature": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Monaco-Signature': '<api-key>'}};
fetch('https://apimonaco.xyz/api/v1/buildercodes/rules/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimonaco.xyz/api/v1/buildercodes/rules/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Monaco-Signature: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apimonaco.xyz/api/v1/buildercodes/rules/resolve"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Monaco-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apimonaco.xyz/api/v1/buildercodes/rules/resolve")
.header("X-Monaco-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimonaco.xyz/api/v1/buildercodes/rules/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Monaco-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"makerCbps": 150,
"takerCbps": 250,
"makerClamped": true,
"takerClamped": true,
"builderFeeEnabled": true,
"capCbps": 10000,
"revshareBps": 1000,
"winningRule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"source": "BUILDER",
"makerCbps": 150,
"takerCbps": 250,
"makerClamped": true,
"takerClamped": true,
"editable": true,
"note": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"matchingRules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"source": "BUILDER",
"makerCbps": 150,
"takerCbps": 250,
"makerClamped": true,
"takerClamped": true,
"editable": true,
"note": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"winningCap": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"forAllApplications": true,
"capCbps": 10000,
"updatedAt": "2023-11-07T05:31:56Z"
},
"winningRevshare": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"forAllApplications": true,
"revshareBps": 1000,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Resolve a user's builder fee
Resolve the builder fee a user is charged.
What an order from walletAddress on tradingPairId through your
application is charged now, after the cap and every switch, and the rules
that decided it. Use this, or SimulateFees, to show a user their fee:
once you have wallet or pair rules it can differ from your default.
curl --request GET \
--url https://apimonaco.xyz/api/v1/buildercodes/rules/resolve \
--header 'X-Monaco-Signature: <api-key>'import requests
url = "https://apimonaco.xyz/api/v1/buildercodes/rules/resolve"
headers = {"X-Monaco-Signature": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Monaco-Signature': '<api-key>'}};
fetch('https://apimonaco.xyz/api/v1/buildercodes/rules/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimonaco.xyz/api/v1/buildercodes/rules/resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Monaco-Signature: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apimonaco.xyz/api/v1/buildercodes/rules/resolve"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Monaco-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apimonaco.xyz/api/v1/buildercodes/rules/resolve")
.header("X-Monaco-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimonaco.xyz/api/v1/buildercodes/rules/resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Monaco-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"makerCbps": 150,
"takerCbps": 250,
"makerClamped": true,
"takerClamped": true,
"builderFeeEnabled": true,
"capCbps": 10000,
"revshareBps": 1000,
"winningRule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"source": "BUILDER",
"makerCbps": 150,
"takerCbps": 250,
"makerClamped": true,
"takerClamped": true,
"editable": true,
"note": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"matchingRules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"source": "BUILDER",
"makerCbps": 150,
"takerCbps": 250,
"makerClamped": true,
"takerClamped": true,
"editable": true,
"note": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"winningCap": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"forAllApplications": true,
"capCbps": 10000,
"updatedAt": "2023-11-07T05:31:56Z"
},
"winningRevshare": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": {
"walletAddress": "0x0000000000000000000000000000000000000001",
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketType": "SPOT",
"track": "BOTH"
},
"forAllApplications": true,
"revshareBps": 1000,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
Ed25519 session-key request signing. Every authenticated request carries three headers: X-Monaco-PublicKey (64-char lowercase-hex session public key), X-Monaco-Timestamp (Unix milliseconds, within 30s of server time), and X-Monaco-Signature (hex ed25519 signature). The signature is over METHOD\npath?query\ntimestamp_ms\nSHA256_hex(body), where the body hash is the SHA-256 of the empty byte string when there is no body. Obtain the session keypair from POST /api/v1/auth/challenge followed by POST /api/v1/auth/verify.
Query Parameters
Response
OK
Was this page helpful?

